org.apache.lucene.codecs.uniformsplit

## Class UniformSplitRot13PostingsFormat

- java.lang.Object
- - org.apache.lucene.codecs.PostingsFormat
  - - org.apache.lucene.codecs.uniformsplit.UniformSplitRot13PostingsFormat

- All Implemented Interfaces:
    NamedSPILoader.NamedSPI
  Direct Known Subclasses:
    STUniformSplitRot13PostingsFormat

      public class UniformSplitRot13PostingsFormat
      extends PostingsFormat

  `UniformSplitPostingsFormat` with block encoding using ROT13 cypher.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static boolean` | `blocksEncoded`
    `static boolean` | `decoderCalled`
    `static boolean` | `dictionaryEncoded`
    `protected boolean` | `dictionaryOnHeap`
    `static boolean` | `encoderCalled`
    `static boolean` | `fieldsMetadataEncoded`

    - ### Fields inherited from class org.apache.lucene.codecs.PostingsFormat

      `EMPTY`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `` | `UniformSplitRot13PostingsFormat()`
    `protected` | `UniformSplitRot13PostingsFormat(String name, boolean dictionaryOnHeap)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected FieldsConsumer` | `createFieldsConsumer(SegmentWriteState segmentWriteState, PostingsWriterBase postingsWriter)`
    `protected FieldsProducer` | `createFieldsProducer(SegmentReadState segmentReadState, PostingsReaderBase postingsReader)`
    `FieldsConsumer` | `fieldsConsumer(SegmentWriteState segmentWriteState)`
    `FieldsProducer` | `fieldsProducer(SegmentReadState segmentReadState)`
    `protected BlockDecoder` | `getBlockDecoder()`
    `protected BlockEncoder` | `getBlockEncoder()`
    `protected void` | `recordBlockEncodingCall()`
    `protected void` | `recordDictionaryEncodingCall()`
    `protected void` | `recordFieldsMetadataEncodingCall()`
    `static void` | `resetEncodingFlags()`

    - ### Methods inherited from class org.apache.lucene.codecs.PostingsFormat

      `availablePostingsFormats, forName, getName, reloadPostingsFormats, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### encoderCalled

          public static volatile boolean encoderCalled

    - #### decoderCalled

          public static volatile boolean decoderCalled

    - #### blocksEncoded

          public static volatile boolean blocksEncoded

    - #### fieldsMetadataEncoded

          public static volatile boolean fieldsMetadataEncoded

    - #### dictionaryEncoded

          public static volatile boolean dictionaryEncoded

    - #### dictionaryOnHeap

          protected final boolean dictionaryOnHeap

  - ### Constructor Detail

    - #### UniformSplitRot13PostingsFormat

          public UniformSplitRot13PostingsFormat()

    - #### UniformSplitRot13PostingsFormat

          protected UniformSplitRot13PostingsFormat(String name,
                                                    boolean dictionaryOnHeap)

  - ### Method Detail

    - #### resetEncodingFlags

          public static void resetEncodingFlags()

    - #### fieldsConsumer

          public FieldsConsumer fieldsConsumer(SegmentWriteState segmentWriteState)
                                        throws IOException

      Specified by:
        `fieldsConsumer` in class `PostingsFormat`
      Throws:
        `IOException`

    - #### createFieldsConsumer

          protected FieldsConsumer createFieldsConsumer(SegmentWriteState segmentWriteState,
                                                        PostingsWriterBase postingsWriter)
                                                 throws IOException

      Throws:
        `IOException`

    - #### recordBlockEncodingCall

          protected void recordBlockEncodingCall()

    - #### recordFieldsMetadataEncodingCall

          protected void recordFieldsMetadataEncodingCall()

    - #### recordDictionaryEncodingCall

          protected void recordDictionaryEncodingCall()

    - #### getBlockEncoder

          protected BlockEncoder getBlockEncoder()

    - #### fieldsProducer

          public FieldsProducer fieldsProducer(SegmentReadState segmentReadState)
                                        throws IOException

      Specified by:
        `fieldsProducer` in class `PostingsFormat`
      Throws:
        `IOException`

    - #### createFieldsProducer

          protected FieldsProducer createFieldsProducer(SegmentReadState segmentReadState,
                                                        PostingsReaderBase postingsReader)
                                                 throws IOException

      Throws:
        `IOException`

    - #### getBlockDecoder

          protected BlockDecoder getBlockDecoder()

Copyright © 2000-2022 Apache Software Foundation. All Rights Reserved.